i18next-po-loader

Load gettext PO files as i18next format directly in webpack

Downloads in past

Stats

StarsIssuesVersionUpdatedCreatedSize
i18next-po-loader
1.0.15 years ago8 years agoMinified + gzip package size for i18next-po-loader in KB

Readme

:boom: Careful: This package is no longer maintained and is only here for historic reasons. This means you should very likely not use it. You have been warned. :boom:

---
i18next-po-loader
Load gettext PO files as i18next format directly in webpack

Install

npm install i18next-po-loader --save-dev

Webpack config

{
  test: /\.po$/, 
  loaders: ['i18next-po-loader']
}

Usage

i18next.init({
  nsSeparator: false,
  keySeparator: false,
  lng: 'en',
  resources: {
    de: {translation: require('./translations/de.po')}
  }
})